[gtk+/gtk-3-22] HighContrast: Update parse-sass.sh; remove Gemfile
- From: Daniel Boles <dboles src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gtk+/gtk-3-22] HighContrast: Update parse-sass.sh; remove Gemfile
- Date: Wed, 31 May 2017 18:10:57 +0000 (UTC)
commit ae4bd65acd3cd35990f8c088e05b3efe36e7ae88
Author: Daniel Boles <dboles src gmail com>
Date: Wed May 31 18:45:24 2017 +0100
HighContrast: Update parse-sass.sh; remove Gemfile
Make parse-sass.sh use sassc instead of the old Ruby method.
gtk/theme/HighContrast/Gemfile | 2 --
gtk/theme/HighContrast/parse-sass.sh | 14 ++++++++++++--
2 files changed, 12 insertions(+), 4 deletions(-)
---
diff --git a/gtk/theme/HighContrast/parse-sass.sh b/gtk/theme/HighContrast/parse-sass.sh
index e385f83..274c1dc 100755
--- a/gtk/theme/HighContrast/parse-sass.sh
+++ b/gtk/theme/HighContrast/parse-sass.sh
@@ -1,3 +1,13 @@
-#!/bin/sh
+#! /bin/bash
-bundle exec sass --update --sourcemap=none .
+if [ ! "$(which sassc 2> /dev/null)" ]; then
+ echo sassc needs to be installed to generate the css.
+ exit 1
+fi
+
+SASSC_OPT="-M -t compact"
+
+echo Generating the css...
+
+sassc $SASSC_OPT gtk-contained.scss gtk-contained.css
+sassc $SASSC_OPT gtk-contained-inverse.scss gtk-contained-inverse.css
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]